petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPUnwindPreconditioner

Unwinds the preconditioning in the solution. That is, takes solution to the preconditioned problem and gets the solution to the original problem from it.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPUnwindPreconditioner(KSP ksp,Vec vsoln,Vec vt1)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| vsoln | - solution vector Many br
| vt1 | - temporary work vector Many br

### Output Parameter

vsoln -contains solution on output Many br

### Notes

If preconditioning either symmetrically or on the right, this routine solves Many brfor the correction to the unpreconditioned problem. If preconditioning on Many brthe left, nothing is done. Many br

Many br

### Keywords

KSP, unwind, preconditioner

### See Also

KSPSetPCSide()

Level:advanced
Location:src/ksp/ksp/interface/itres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages